clang-tools 10.0.0

Functions
clang::tidy::matchers Namespace Reference

## Functions
| AST_MATCHER (BinaryOperator, isAssignmentOperator)
| AST_MATCHER (BinaryOperator, isRelationalOperator)
| AST_MATCHER (BinaryOperator, isEqualityOperator)
| AST_MATCHER (BinaryOperator, isComparisonOperator)
| AST_MATCHER (QualType, isExpensiveToCopy)
| AST_MATCHER (RecordDecl, isTriviallyDefaultConstructible)
| AST_MATCHER (QualType, isTriviallyDestructible)
| AST_MATCHER_FUNCTION (ast_matchers::TypeMatcher, isReferenceToConst)
| AST_MATCHER_P (NamedDecl, matchesAnyListedName, std::vector< std::string >, NameList)

## Function Documentation

## ◆ AST_MATCHER() [1/7]

clang::tidy::matchers::AST_MATCHER | ( | BinaryOperator | ,
|  | isAssignmentOperator |
| ) |  |

Definition at line 19 of file clang-tidy/utils/Matchers.h.

## ◆ AST_MATCHER() [2/7]

clang::tidy::matchers::AST_MATCHER | ( | BinaryOperator | ,
|  | isRelationalOperator |
| ) |  |

Definition at line 23 of file clang-tidy/utils/Matchers.h.

## ◆ AST_MATCHER() [3/7]

clang::tidy::matchers::AST_MATCHER | ( | BinaryOperator | ,
|  | isEqualityOperator |
| ) |  |

Definition at line 27 of file clang-tidy/utils/Matchers.h.

## ◆ AST_MATCHER() [4/7]

clang::tidy::matchers::AST_MATCHER | ( | BinaryOperator | ,
|  | isComparisonOperator |
| ) |  |

Definition at line 29 of file clang-tidy/utils/Matchers.h.

## ◆ AST_MATCHER() [5/7]

clang::tidy::matchers::AST_MATCHER | ( | QualType | ,
|  | isExpensiveToCopy |
| ) |  |

Definition at line 33 of file clang-tidy/utils/Matchers.h.

References clang::tidy::utils::type_traits::isExpensiveToCopy().

## ◆ AST_MATCHER() [6/7]

clang::tidy::matchers::AST_MATCHER | ( | RecordDecl | ,
|  | isTriviallyDefaultConstructible |
| ) |  |

Definition at line 39 of file clang-tidy/utils/Matchers.h.

References clang::tidy::utils::type_traits::recordIsTriviallyDefaultConstructible().

## ◆ AST_MATCHER() [7/7]

clang::tidy::matchers::AST_MATCHER | ( | QualType | ,
|  | isTriviallyDestructible |
| ) |  |

Definition at line 44 of file clang-tidy/utils/Matchers.h.

References clang::tidy::utils::type_traits::isTriviallyDestructible().

## ◆ AST_MATCHER_FUNCTION()

clang::tidy::matchers::AST_MATCHER_FUNCTION | ( | ast_matchers::TypeMatcher | ,
|  | isReferenceToConst |
| ) |  |

Definition at line 49 of file clang-tidy/utils/Matchers.h.

## ◆ AST_MATCHER_P()

clang::tidy::matchers::AST_MATCHER_P | ( | NamedDecl | ,
|  | matchesAnyListedName | ,
|  | std::vector< std::string > | ,
|  | NameList |
| ) |  |

Definition at line 54 of file clang-tidy/utils/Matchers.h.